Index: mutex/mut_fcntl.c
--- mutex/mut_fcntl.c.orig	2005-11-01 15:49:05 +0100
+++ mutex/mut_fcntl.c	2005-11-20 09:49:05 +0100
@@ -88,7 +88,7 @@
 
 		/* Acquire an exclusive kernel lock. */
 		k_lock.l_type = F_WRLCK;
-		if (fcntl(dbenv->lockfhp->fd, F_SETLKW, &k_lock))
+		if (fcntl(dbenv->lockfhp->fd, F_SETLKW, &k_lock) == -1)
 			goto err;
 
 		/* If the resource is still available, it's ours. */
@@ -102,7 +102,7 @@
 
 		/* Release the kernel lock. */
 		k_lock.l_type = F_UNLCK;
-		if (fcntl(dbenv->lockfhp->fd, F_SETLK, &k_lock))
+		if (fcntl(dbenv->lockfhp->fd, F_SETLK, &k_lock) == -1)
 			goto err;
 
 		/*
Index: os/os_open.c
--- os/os_open.c.orig	2005-10-31 19:24:50 +0100
+++ os/os_open.c	2005-11-20 09:48:27 +0100
@@ -119,7 +119,7 @@
 	if (LF_ISSET(DB_OSO_EXCL))
 		oflags |= O_EXCL;
 
-#ifdef HAVE_O_DIRECT
+#if defined(HAVE_O_DIRECT) && defined(__FreeBSD__)
 	if (LF_ISSET(DB_OSO_DIRECT))
 		oflags |= O_DIRECT;
 #endif
